[android-components](../../index.md) / [mozilla.components.browser.engine.servo](../index.md) / [ServoEngine](index.md) / [createSession](./create-session.md)

# createSession

`fun createSession(private: `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html)`): `[`EngineSession`](../../mozilla.components.concept.engine/-engine-session/index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/engine-servo/src/main/java/mozilla/components/browser/engine/servo/ServoEngine.kt#L28)

Overrides [Engine.createSession](../../mozilla.components.concept.engine/-engine/create-session.md)

Creates a new engine session.

### Parameters

`private` - whether or not this session should use private mode.

**Return**
the newly created [EngineSession](../../mozilla.components.concept.engine/-engine-session/index.md).

